#### Beyond Linux® From Scratch (systemd Edition) - Version 11.1

### Chapter 9. General Libraries

- Prev

  libsigc++-2.10.8

- Next

  libssh2-1.10.0

- Up
- Home

# libsigsegv-2.14

## Introduction to libsigsegv

libsigsegv is a library for handling page faults in user mode. A page fault occurs when a program tries to access to a region of memory that is currently not available. Catching and handling a page fault is a useful technique for implementing pageable virtual memory, memory-mapped access to persistent databases, generational garbage collectors, stack overflow handlers, and distributed shared memory.

This package is known to build and work properly using an LFS-11.1 platform.

### Package Information

- Download (HTTP): https://ftp.gnu.org/gnu/libsigsegv/libsigsegv-2.14.tar.gz

- Download (FTP): ftp://ftp.gnu.org/gnu/libsigsegv/libsigsegv-2.14.tar.gz

- Download MD5 sum: 63a2b35f11b2fbccc3d82f9e6c6afd58

- Download size: 456 KB

- Estimated disk space required: 3.6 MB (with tests)

- Estimated build time: less than 0.1 SBU (with tests)

User Notes: https://wiki.linuxfromscratch.org/blfs/wiki/libsigsegv

## Installation of libsigsegv

Install libsigsegv by running the following commands:

    ./configure --prefix=/usr   \
                --enable-shared \
                --disable-static &&
    make

To test the results, issue: make check.

Now, as the `root` user:

    make install

## Command Explanations

`--enable-shared`: This switch ensures that shared libraries are compiled.

`--disable-static`: This switch prevents installation of static versions of the libraries.

## Contents

Installed Programs: None
Installed Library: libsigsegv.so
Installed Directories: None

### Short Descriptions

`libsigsegv.so` | is a library for handling page faults in user mode

Last updated on

- Prev

  libsigc++-2.10.8

- Next

  libssh2-1.10.0

- Up
- Home